Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.templates.transformer
Class CollectAttributeSetTrueTransformer

    java.lang.Object
      org.apache.torque.templates.transformer.CollectAttributeSetTrueTransformer

    public class CollectAttributeSetTrueTransformer

extends Object

Collects the children which have a certain attribute set to true in another child element. So the source elements are rootElement ${childrenToProcessName} ... ${childrenToProcessName} ... ... and the outcome is rootElement ${childrenToProcessName} ... ${childrenToProcessName} ... ... ${targetElementName} ${childrenToProcessName} ... ...

Constructor Summary
`CollectAttributeSetTrueTransformer()`

Method Summary
`void` | `transform(SourceElement rootElement, ControllerState controllerState, SourceElementName childrenToProcessName, SourceAttributeName attributeToCheckName, SourceElementName targetElementName)` Processes the transformation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectAttributeSetTrueTransformer

    public CollectAttributeSetTrueTransformer()

Method Detail

### transform

    public void transform(SourceElement rootElement,
                          ControllerState controllerState,
                          SourceElementName childrenToProcessName,
                          SourceAttributeName attributeToCheckName,
                          SourceElementName targetElementName)

  Processes the transformation.

  Parameters:
    `rootElement` - the root of the transformation.
    `controllerState` - the controller state, not null.
    `childrenToProcessName` - the name of the child elements to check.
    `attributeToCheckName` - the attribute in the child which is checked for the value "true"
    `targetElementName` - the child element which collects the hits.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.